#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    long long n, m, ma;
    cin>>n;
    for(int i=0; i<n; i++){
    cin>>m;
    long long a[m], b[m], c[m];
for(int j=0; j<m; j++){
    cin>>a[i]>>b[i]>>c[i];
    }
    ma=-1;
    for(int j=0; j<m; j++){
       if(c[i]>ma) ma=c[i]; 
    }
    cout<<ma<<endl;
    }
}
